<!doctype html>














<!-- `site.alt_lang` can specify a language different from the UI -->
<html lang="en" >
  <head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <meta name="theme-color" media="(prefers-color-scheme: light)" content="#f7f7f7">
  <meta name="theme-color" media="(prefers-color-scheme: dark)" content="#1b1b1e">
  <meta name="apple-mobile-web-app-capable" content="yes">
  <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
  <meta
    name="viewport"
    content="width=device-width, user-scalable=no initial-scale=1, shrink-to-fit=no, viewport-fit=cover"
  ><!-- Setup Open Graph image -->

  

  <!-- Begin Jekyll SEO tag v2.8.0 -->
<meta name="generator" content="Jekyll v4.3.3" />
<meta property="og:title" content="Mahjong rules" />
<meta name="author" content="Rayken Wong" />
<meta property="og:locale" content="en" />
<meta name="description" content="Mahjong Rules Cards Here is a link to the mahjong rules that I created for gaming." />
<meta property="og:description" content="Mahjong Rules Cards Here is a link to the mahjong rules that I created for gaming." />
<link rel="canonical" href="/posts/mahjong-rules/" />
<meta property="og:url" content="/posts/mahjong-rules/" />
<meta property="og:site_name" content="Rayken’s First Webpage" />
<meta property="og:type" content="article" />
<meta property="article:published_time" content="2024-06-10T17:32:00-06:00" />
<meta name="twitter:card" content="summary" />
<meta property="twitter:title" content="Mahjong rules" />
<script type="application/ld+json">
{"@context":"https://schema.org","@type":"BlogPosting","author":{"@type":"Person","name":"Rayken Wong"},"dateModified":"2024-08-30T18:17:31-06:00","datePublished":"2024-06-10T17:32:00-06:00","description":"Mahjong Rules Cards Here is a link to the mahjong rules that I created for gaming.","headline":"Mahjong rules","mainEntityOfPage":{"@type":"WebPage","@id":"/posts/mahjong-rules/"},"url":"/posts/mahjong-rules/"}</script>
<!-- End Jekyll SEO tag -->


  <title>Mahjong rules | Rayken's First Webpage
  </title>

  <!--
  The Favicons for Web, Android, Microsoft, and iOS (iPhone and iPad) Apps
  Generated by: https://realfavicongenerator.net/
-->



<link rel="apple-touch-icon" sizes="180x180" href="/assets/img/favicons/apple-touch-icon.png">
<link rel="icon" type="image/png" sizes="32x32" href="/assets/img/favicons/favicon-32x32.png">
<link rel="icon" type="image/png" sizes="16x16" href="/assets/img/favicons/favicon-16x16.png">

  <link rel="manifest" href="/assets/img/favicons/site.webmanifest">

<link rel="shortcut icon" href="/assets/img/favicons/favicon.ico">
<meta name="apple-mobile-web-app-title" content="Rayken's First Webpage">
<meta name="application-name" content="Rayken's First Webpage">
<meta name="msapplication-TileColor" content="#da532c">
<meta name="msapplication-config" content="/assets/img/favicons/browserconfig.xml">
<meta name="theme-color" content="#ffffff">


  <!-- Resource Hints -->
  
    
      
        <link rel="preconnect" href="https://fonts.googleapis.com" >
      
        <link rel="dns-prefetch" href="https://fonts.googleapis.com" >
      
    
      
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
      
        <link rel="dns-prefetch" href="https://fonts.gstatic.com" >
      
    
      
        <link rel="preconnect" href="https://cdn.jsdelivr.net" >
      
        <link rel="dns-prefetch" href="https://cdn.jsdelivr.net" >
      
    
  

  <!-- Bootstrap -->
  
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css">
  

  <!-- Theme style -->
  <link rel="stylesheet" href="/assets/css/jekyll-theme-chirpy.css">

  <!-- Web Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Lato:wght@300;400&family=Source+Sans+Pro:wght@400;600;700;900&display=swap">

  <!-- Font Awesome Icons -->
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@fortawesome/fontawesome-free@6.5.2/css/all.min.css">

  <!-- 3rd-party Dependencies -->

  
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/tocbot@4.27.20/dist/tocbot.min.css">
  

  
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/loading-attribute-polyfill@2.1.1/dist/loading-attribute-polyfill.min.css">
  

  
    <!-- Image Popup -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/glightbox@3.3.0/dist/css/glightbox.min.css">
  

  <!-- JavaScript -->

  
    <!-- Switch the mode between dark and light. -->

<script type="text/javascript">
  class ModeToggle {
    static get MODE_KEY() {
      return 'mode';
    }
    static get MODE_ATTR() {
      return 'data-mode';
    }
    static get DARK_MODE() {
      return 'dark';
    }
    static get LIGHT_MODE() {
      return 'light';
    }
    static get ID() {
      return 'mode-toggle';
    }

    constructor() {
      let self = this;this.sysDarkPrefers.addEventListener('change', () => {
        if (self.hasMode) {
          self.clearMode();
        }
        self.notify();
      });

      if (!this.hasMode) {
        return;
      }

      if (this.isDarkMode) {
        this.setDark();
      } else {
        this.setLight();
      }
    }

    get sysDarkPrefers() {
      return window.matchMedia('(prefers-color-scheme: dark)');
    }

    get isPreferDark() {
      return this.sysDarkPrefers.matches;
    }

    get isDarkMode() {
      return this.mode === ModeToggle.DARK_MODE;
    }

    get hasMode() {
      return this.mode != null;
    }

    get mode() {
      return sessionStorage.getItem(ModeToggle.MODE_KEY);
    }get modeStatus() {
      if (this.hasMode) {
        return this.mode;
      } else {
        return this.isPreferDark ? ModeToggle.DARK_MODE : ModeToggle.LIGHT_MODE;
      }
    }

    setDark() {
      document.documentElement.setAttribute(ModeToggle.MODE_ATTR, ModeToggle.DARK_MODE);
      sessionStorage.setItem(ModeToggle.MODE_KEY, ModeToggle.DARK_MODE);
    }

    setLight() {
      document.documentElement.setAttribute(ModeToggle.MODE_ATTR, ModeToggle.LIGHT_MODE);
      sessionStorage.setItem(ModeToggle.MODE_KEY, ModeToggle.LIGHT_MODE);
    }

    clearMode() {
      document.documentElement.removeAttribute(ModeToggle.MODE_ATTR);
      sessionStorage.removeItem(ModeToggle.MODE_KEY);
    }notify() {
      window.postMessage(
        {
          direction: ModeToggle.ID,
          message: this.modeStatus
        },
        '*'
      );
    }

    flipMode() {
      if (this.hasMode) {
        this.clearMode();
      } else {
        if (this.isPreferDark) {
          this.setLight();
        } else {
          this.setDark();
        }
      }

      this.notify();
    }
  }

  const modeToggle = new ModeToggle();
</script>

  

  <!-- A placeholder to allow defining custom metadata -->

</head>


  <body>
    <!-- The Side Bar -->

<aside aria-label="Sidebar" id="sidebar" class="d-flex flex-column align-items-end">
  <header class="profile-wrapper">
    <a href="/" id="avatar" class="rounded-circle"><img src="/assets/img/posts/Owl.svg" width="112" height="112" alt="avatar" onerror="this.style.display='none'"></a>

    <h1 class="site-title">
      <a href="/">Rayken's First Webpage</a>
    </h1>
    <p class="site-subtitle fst-italic mb-0">My first webpage</p>
  </header>
  <!-- .profile-wrapper -->

  <nav class="flex-column flex-grow-1 w-100 ps-0">
    <ul class="nav">
      <!-- home -->
      <li class="nav-item">
        <a href="/" class="nav-link">
          <i class="fa-fw fas fa-home"></i>
          <span>HOME</span>
        </a>
      </li>
      <!-- the real tabs -->
      
        <li class="nav-item">
          <a href="/categories/" class="nav-link">
            <i class="fa-fw fas fa-stream"></i>
            

            <span>CATEGORIES</span>
          </a>
        </li>
        <!-- .nav-item -->
      
        <li class="nav-item">
          <a href="/tags/" class="nav-link">
            <i class="fa-fw fas fa-tags"></i>
            

            <span>TAGS</span>
          </a>
        </li>
        <!-- .nav-item -->
      
        <li class="nav-item">
          <a href="/archives/" class="nav-link">
            <i class="fa-fw fas fa-archive"></i>
            

            <span>ARCHIVES</span>
          </a>
        </li>
        <!-- .nav-item -->
      
        <li class="nav-item">
          <a href="/about/" class="nav-link">
            <i class="fa-fw fas fa-info-circle"></i>
            

            <span>ABOUT</span>
          </a>
        </li>
        <!-- .nav-item -->
      
    </ul>
  </nav>

  <div class="sidebar-bottom d-flex flex-wrap  align-items-center w-100">
    
      <button type="button" class="btn btn-link nav-link" aria-label="Switch Mode" id="mode-toggle">
        <i class="fas fa-adjust"></i>
      </button>

      
        <span class="icon-border"></span>
      
    

    
      

      
        <a
          href="javascript:location.href = 'mailto:' + ['rkw.social','proton.me'].join('@')"
          aria-label="email"
          

          

          

          
        >
          <i class="fas fa-envelope"></i>
        </a>
      
    
      

      
        <a
          href="/feed.xml"
          aria-label="rss"
          

          

          

          
        >
          <i class="fas fa-rss"></i>
        </a>
      
    
  </div>
  <!-- .sidebar-bottom -->
</aside>
<!-- #sidebar -->


    <div id="main-wrapper" class="d-flex justify-content-center">
      <div class="container d-flex flex-column px-xxl-5">
        <!-- The Top Bar -->

<header id="topbar-wrapper" aria-label="Top Bar">
  <div
    id="topbar"
    class="d-flex align-items-center justify-content-between px-lg-3 h-100"
  >
    <nav id="breadcrumb" aria-label="Breadcrumb">
      

      
        
          
            <span>
              <a href="/">Home</a>
            </span>

          
        
          
        
          
            
              <span>Mahjong rules</span>
            

          
        
      
    </nav>
    <!-- endof #breadcrumb -->

    <button type="button" id="sidebar-trigger" class="btn btn-link">
      <i class="fas fa-bars fa-fw"></i>
    </button>

    <div id="topbar-title">
      Post
    </div>

    <button type="button" id="search-trigger" class="btn btn-link">
      <i class="fas fa-search fa-fw"></i>
    </button>

    <search id="search" class="align-items-center ms-3 ms-lg-0">
      <i class="fas fa-search fa-fw"></i>
      <input
        class="form-control"
        id="search-input"
        type="search"
        aria-label="search"
        autocomplete="off"
        placeholder="Search..."
      >
    </search>
    <button type="button" class="btn btn-link text-decoration-none" id="search-cancel">Cancel</button>
  </div>
</header>


        <div class="row flex-grow-1">
          <main aria-label="Main Content" class="col-12 col-lg-11 col-xl-9 px-md-4">
            
              <!-- Refactor the HTML structure -->



<!--
  In order to allow a wide table to scroll horizontally,
  we suround the markdown table with `<div class="table-wrapper">` and `</div>`
-->



<!--
  Fixed kramdown code highlight rendering:
  https://github.com/penibelst/jekyll-compress-html/issues/101
  https://github.com/penibelst/jekyll-compress-html/issues/71#issuecomment-188144901
-->



<!-- Change the icon of checkbox -->



<!-- Handle images -->





<!-- Add header for code snippets -->



<!-- Create heading anchors -->





  
  

  
    
    

    
      
        
        
      

      
      

      
      
      

      
    
      

      
      

      
      
      

      
    
      

      
      

      
      
      

      
    
      

      
      

      
      
      

      
    

    
  

  
  

  
    
    

    
      
        
        
      

      
      

      
      
      

      
    
      

      
      

      
      
      

      
    
      

      
      

      
      
      

      
    

    
  

  
  

  

  
  

  




<!-- return -->




<article class="px-1">
  <header>
    <h1 data-toc-skip>Mahjong rules</h1>
    

    <div class="post-meta text-muted">
      <!-- published date -->
      <span>
        Posted
        <!--
  Date format snippet
  See: ${JS_ROOT}/utils/locale-dateime.js
-->




<time
  
  data-ts="1718062320"
  data-df="ll"
  
    data-bs-toggle="tooltip" data-bs-placement="bottom"
  
>
  Jun 10, 2024
</time>

      </span>

      <!-- lastmod date -->
      
        <span>
          Updated
          <!--
  Date format snippet
  See: ${JS_ROOT}/utils/locale-dateime.js
-->




<time
  
  data-ts="1725063451"
  data-df="ll"
  
    data-bs-toggle="tooltip" data-bs-placement="bottom"
  
>
  Aug 30, 2024
</time>

        </span>
      

      

      <div class="d-flex justify-content-between">
        <!-- author(s) -->
        <span>
          

          By

          <em>
            
              
                Rayken Wong
                
              
            
          </em>
        </span>

        <div>
          <!-- pageviews -->
          

          <!-- read time -->
          <!-- Calculate the post's reading time, and display the word count in tooltip -->



<!-- words per minute -->










<!-- return element -->
<span
  class="readtime"
  data-bs-toggle="tooltip"
  data-bs-placement="bottom"
  title="876 words"
>
  <em>4 min</em> read</span>

        </div>
      </div>
    </div>
  </header>

  <div class="content">
    <h1 id="mahjong-rules-cards">Mahjong Rules Cards</h1>
<p><a href="/post-assets/2024.06.10/Mahjong_2024-08-30.pdf">Here</a> is a link to the mahjong rules that I created for gaming.</p>

<h1 id="basics">Basics</h1>
<h2 id="tiles"><span class="me-2">Tiles</span><a href="#tiles" class="anchor text-muted"><i class="fas fa-hashtag"></i></a></h2>
<ul>
  <li>There are 4 identical copies of each tile in the game except for flowers (see below)</li>
  <li>There are 6 ‘suits’ of tiles
    <ul>
      <li>Sticks
        <ul>
          <li>numbered 1 to 9 (1 looks like a bird)</li>
          <li>looks like sticks with the count being the number</li>
        </ul>
      </li>
      <li>Circles
        <ul>
          <li>numbered 1 to 9</li>
          <li>looks like circles with the count being the  number</li>
        </ul>
      </li>
      <li>Ten-Thousands
        <ul>
          <li>numbered 1 to 9</li>
          <li>looks like two chinese characters stacked atop eachother. The top character denotes the number (see page 1 of the pdf for a translation)</li>
        </ul>
      </li>
      <li>Winds
        <ul>
          <li>one for each of the cardinal directions, written with the Chinese character for each direction</li>
          <li>East, South, West, North</li>
        </ul>
      </li>
      <li>Dragons
        <ul>
          <li>3 types</li>
          <li>White, Red, Green</li>
        </ul>
      </li>
      <li>Flowers
        <ul>
          <li>Two types, Chinese numerals, Arabic numerals</li>
          <li>Each type has 4 tiles numbered 1-4</li>
          <li>Not used to build hands
            <h2 id="hands"><span class="me-2">Hands</span><a href="#hands" class="anchor text-muted"><i class="fas fa-hashtag"></i></a></h2>
            <p>The goal of the game is to complete a 14 tile hand consisting of 4 sets-of-3 and a pair. The players play the game with 13 tiles for the most</p>
            <h3 id="sets-of-3"><span class="me-2">Sets-of-3</span><a href="#sets-of-3" class="anchor text-muted"><i class="fas fa-hashtag"></i></a></h3>
          </li>
        </ul>
      </li>
    </ul>
  </li>
  <li>there are three types of sets:
    <ul>
      <li>Shang
        <ul>
          <li>Three consecutive numbers of the same suit</li>
          <li>Only available to the Sticks, Circles and Ten-Thousands suits</li>
          <li>Final tile of the set can only be taken from a discard if the discard is from the player to the left</li>
        </ul>
      </li>
      <li>Pong
        <ul>
          <li>Three identical tiles</li>
          <li>Available to all playable suits</li>
          <li>Final tile of the set can be taken from any discard. In case of conflict with Shang, person who calls Pong gets the tile</li>
        </ul>
      </li>
      <li>Gong
        <ul>
          <li>Four identical tiles</li>
          <li>Available to all playable suits</li>
          <li>Grab a tile from the bottom of the deck.</li>
          <li>Final tile of the set can be taken from any discard. In case of conflict with Shang, person who calls Gong gets the tile</li>
        </ul>
      </li>
    </ul>
  </li>
</ul>

<h3 id="scoring-of-hands"><span class="me-2">Scoring of hands</span><a href="#scoring-of-hands" class="anchor text-muted"><i class="fas fa-hashtag"></i></a></h3>
<p>Honestly, it’s quite complicated, if you’re just starting out, just whoever completes their 14 tile hand wins.</p>

<h2 id="setup"><span class="me-2">Setup</span><a href="#setup" class="anchor text-muted"><i class="fas fa-hashtag"></i></a></h2>
<ol>
  <li>Pour out the tiles onto your table face-down and shuffle them</li>
  <li>Arrange the tiles into a single row 18 tiles wide two tiles tall.</li>
  <li>Push your stack forwards. The right side of your stack should butt up against the stack of the player to your right. The left side of the stack should be free. (see the diagram on the top left corner of the second page of the above pdf)</li>
  <li>Have someone roll the 3 dice to determine who goes first.
    <ul>
      <li>Sum the total of the sides facing up</li>
      <li>Start counting counter clockwise with the person-to-the-right being 1, until you reach the number shown by the dice</li>
      <li>The person’s stack upon which you land will be the dealer</li>
    </ul>
  </li>
  <li>Give the dealer the dice and the direction indicator</li>
  <li>Starting from the butt end, count out the number that was previously rolled and grab the next 4 tiles
    <ul>
      <li>Example:
        <ul>
          <li>The stack will be 18 tiles wide</li>
          <li>If you roll a 9, count nine tiles from the butt end</li>
          <li>Split the deck here
            <ul>
              <li>the tiles to the right will be the ‘bottom’ of the deck</li>
              <li>the tiles to the left will be the ‘top’ of the deck</li>
            </ul>
          </li>
          <li>Grab the four tiles from the top of the deck (the tiles that would be underneath columns 10 and 11)</li>
        </ul>
      </li>
    </ul>
  </li>
  <li>In a counter-clockwise order have the remaining players grab tiles in sets of four, always working towards the free end of the row and then moving onto the row (should the the row to the left) until each player has 12 tiles</li>
  <li>Starting with the dealer, each player will take a single tile off the free end. Once each player has taken a tile, the dealer will take a second tile.</li>
  <li>Flip the tiles towards yourself (don’t show your hands)</li>
  <li>Starting with the dealer, and moving counter-clockwise, reveal any flower tiles you have and grab an equivalent from the remains of the butt end of the stack that you started the game from. If you pick up an additional flower at this time, wait until all players have grabbed all their flowers before grabbing your additional one.</li>
  <li>Dealer begins the game by discarding a single tile</li>
</ol>

<h3 id="setup-notes"><span class="me-2">Setup Notes</span><a href="#setup-notes" class="anchor text-muted"><i class="fas fa-hashtag"></i></a></h3>
<ul>
  <li>If the dealer wins the game, the dice remains with them</li>
  <li>If the dealer loses the game, the dice gets passed to the person to the right</li>
  <li>Once the dice return to the original dealer, flip the wind indicator to the next wind (East, South, West, North)</li>
  <li>Where to split the deck is always determined by a dice roll at the beginning of the round by the dealer</li>
  <li>Wind positions are as follows (counter-clockwise)
    <ul>
      <li>East (Dealer is always east)</li>
      <li>South</li>
      <li>West</li>
      <li>North</li>
    </ul>
  </li>
</ul>

<h2 id="gameplay"><span class="me-2">Gameplay</span><a href="#gameplay" class="anchor text-muted"><i class="fas fa-hashtag"></i></a></h2>
<ol>
  <li>Once a tile has been discarded, each of the players has the opportunity to claim that tile if it can complete a set-of-3.
    <ul>
      <li>If someone claims the tile:
        <ul>
          <li>the turn is theirs, <em>ie.</em> if the player across from the discarder Pongs, the player to the right’s turn has been skipped</li>
          <li>they must reveal the set-of-3</li>
          <li>they must discard a tile (unless they’ve won)</li>
        </ul>
      </li>
      <li>If no one claims the tile:
        <ul>
          <li>the turn moves to the next player (counterclockwise)</li>
          <li>the discarded tile is dead and may no longer be picked up</li>
        </ul>
      </li>
    </ul>
  </li>
  <li>This continues until someone has won or there are only 16 tiles left in the deck (draw condition, dealer keeps the dice)</li>
</ol>

  </div>

  <div class="post-tail-wrapper text-muted">
    <!-- categories -->
    
      <div class="post-meta mb-3">
        <i class="far fa-folder-open fa-fw me-1"></i>
        
          <a href="/categories/blog/">Blog</a>,
          <a href="/categories/gaming/">gaming</a>
      </div>
    

    <!-- tags -->
    
      <div class="post-tags">
        <i class="fa fa-tags fa-fw me-1"></i>
        
          <a
            href="/tags/mahjong/"
            class="post-tag no-text-decoration"
          >mahjong</a>
        
      </div>
    

    <div
      class="
        post-tail-bottom
        d-flex justify-content-between align-items-center mt-5 pb-2
      "
    >
      <div class="license-wrapper">
        
          

          This post is licensed under 
        <a href="https://creativecommons.org/licenses/by/4.0/">
          CC BY 4.0
        </a>
         by the author.
        
      </div>

      <!-- Post sharing snippet -->

<div class="share-wrapper d-flex align-items-center">
  <span class="share-label text-muted">Share</span>
  <span class="share-icons">
    
    
    

    

    <button
      id="copy-link"
      aria-label="Copy link"
      class="btn small"
      data-bs-toggle="tooltip"
      data-bs-placement="top"
      title="Copy link"
      data-title-succeed="Link copied successfully!"
    >
      <i class="fa-fw fas fa-link pe-none fs-6"></i>
    </button>
  </span>
</div>

    </div>
    <!-- .post-tail-bottom -->
  </div>
  <!-- div.post-tail-wrapper -->
</article>


            
          </main>

          <!-- panel -->
          <aside aria-label="Panel" id="panel-wrapper" class="col-xl-3 ps-2 mb-5 text-muted">
            <div class="access">
              <!-- Get 5 last posted/updated posts -->














  <section id="access-lastmod">
    <h2 class="panel-heading">Recently Updated</h2>
    <ul class="content list-unstyled ps-0 pb-1 ms-1 mt-2">
      
        
        
        
        <li class="text-truncate lh-lg">
          <a href="/posts/blender-adventures/">Mahjong rules</a>
        </li>
      
        
        
        
        <li class="text-truncate lh-lg">
          <a href="/posts/mahjong-rules/">Mahjong rules</a>
        </li>
      
        
        
        
        <li class="text-truncate lh-lg">
          <a href="/posts/first-true-post/">My first real blog post</a>
        </li>
      
        
        
        
        <li class="text-truncate lh-lg">
          <a href="/posts/attempts-at-personalized-logos/">My attempt at a personalized logo</a>
        </li>
      
        
        
        
        <li class="text-truncate lh-lg">
          <a href="/posts/text-and-typography/">Text and Typography</a>
        </li>
      
    </ul>
  </section>
  <!-- #access-lastmod -->


              <!-- The trending tags list -->















  
    
    
    
    
      
        
        

  
    
    
    
    
      
    
  
    
    
    
    
      
        
        

  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
        
        

  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
        
        

  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
        
        

  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
        
        

  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
        
        

  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
        
        

  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
        
        

  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
        
        



  <section>
    <h2 class="panel-heading">Trending Tags</h2>
    <div class="d-flex flex-wrap mt-3 mb-1 me-3">
      
        
        <a class="post-tag btn btn-outline-primary" href="/tags/3d-printing/">3d printing</a>
      
        
        <a class="post-tag btn btn-outline-primary" href="/tags/art/">art</a>
      
        
        <a class="post-tag btn btn-outline-primary" href="/tags/blender/">Blender</a>
      
        
        <a class="post-tag btn btn-outline-primary" href="/tags/code/">code</a>
      
        
        <a class="post-tag btn btn-outline-primary" href="/tags/favicon/">favicon</a>
      
        
        <a class="post-tag btn btn-outline-primary" href="/tags/getting-started/">getting started</a>
      
        
        <a class="post-tag btn btn-outline-primary" href="/tags/hermit-the-crab/">Hermit the Crab</a>
      
        
        <a class="post-tag btn btn-outline-primary" href="/tags/logo/">logo</a>
      
        
        <a class="post-tag btn btn-outline-primary" href="/tags/mahjong/">mahjong</a>
      
        
        <a class="post-tag btn btn-outline-primary" href="/tags/thoughts/">thoughts</a>
      
    </div>
  </section>


            </div>

            
              
              



  <section id="toc-wrapper" class="d-none ps-0 pe-4">
    <h2 class="panel-heading ps-3 mb-2">Contents</h2>
    <nav id="toc"></nav>
  </section>


            
          </aside>
        </div>

        <div class="row">
          <!-- tail -->
          <div id="tail-wrapper" class="col-12 col-lg-11 col-xl-9 px-md-4">
            
              
              <!-- Recommend the other 3 posts according to the tags and categories of the current post. -->

<!-- The total size of related posts -->


<!-- An random integer that bigger than 0 -->


<!-- Equals to TAG_SCORE / {max_categories_hierarchy} -->















  

  

  

  

  

  

  

  
    
  

  

  

  

  

  

  

  

  

  

  

  











  <aside id="related-posts" aria-labelledby="related-label">
    <h3 class="mb-4" id="related-label">Further Reading</h3>
    <nav class="row row-cols-1 row-cols-md-2 row-cols-xl-3 g-4 mb-4">
      
        <article class="col">
          <a href="/posts/blender-adventures/" class="post-preview card h-100">
            <div class="card-body">
              <!--
  Date format snippet
  See: ${JS_ROOT}/utils/locale-dateime.js
-->




<time
  
  data-ts="1725100680"
  data-df="ll"
  
>
  Aug 31, 2024
</time>

              <h4 class="pt-0 my-2">Mahjong rules</h4>
              <div class="text-muted">
                <p>Blender Adventures

So, I decided to purchase a 3d printer. I was initially intending to just purchase a 3d printed part (large fan shroud for my JBOD to increase airflow across my hard drives) but...</p>
              </div>
            </div>
          </a>
        </article>
      
        <article class="col">
          <a href="/posts/attempts-at-personalized-logos/" class="post-preview card h-100">
            <div class="card-body">
              <!--
  Date format snippet
  See: ${JS_ROOT}/utils/locale-dateime.js
-->




<time
  
  data-ts="1718062740"
  data-df="ll"
  
>
  Jun 10, 2024
</time>

              <h4 class="pt-0 my-2">My attempt at a personalized logo</h4>
              <div class="text-muted">
                <p>Logo
I had the idea to create a logo for myself, something that I could use to mark my work without necessarily having to attach my name to it. Of course, I have very little artistic ability so tak...</p>
              </div>
            </div>
          </a>
        </article>
      
        <article class="col">
          <a href="/posts/first-true-post/" class="post-preview card h-100">
            <div class="card-body">
              <!--
  Date format snippet
  See: ${JS_ROOT}/utils/locale-dateime.js
-->




<time
  
  data-ts="1717539660"
  data-df="ll"
  
>
  Jun  4, 2024
</time>

              <h4 class="pt-0 my-2">My first real blog post</h4>
              <div class="text-muted">
                <p>Bingo Code

Hello, this is hopefully the first of many posts. This is is a small python script that I wrote to generate Bingo numbers. There was a small project I had to do whereby we had to genera...</p>
              </div>
            </div>
          </a>
        </article>
      
    </nav>
  </aside>
  <!-- #related-posts -->


            
              
              <!-- Navigation buttons at the bottom of the post. -->

<nav class="post-navigation d-flex justify-content-between" aria-label="Post Navigation">
  
  

  
    <a
      href="/posts/first-true-post/"
      class="btn btn-outline-primary"
      aria-label="Older"
    >
      <p>My first real blog post</p>
    </a>
  

  
    <a
      href="/posts/attempts-at-personalized-logos/"
      class="btn btn-outline-primary"
      aria-label="Newer"
    >
      <p>My attempt at a personalized logo</p>
    </a>
  
</nav>

            
              
              <!-- The comments switcher -->


            

            <!-- The Footer -->

<footer
  aria-label="Site Info"
  class="
    d-flex flex-column justify-content-center text-muted
    flex-lg-row justify-content-lg-between align-items-lg-center pb-lg-3
  "
>
  <p>©
    <time>2025</time>

    
      <em class="fst-normal">Rayken Wong</em>.
    

    
      <span
        data-bs-toggle="tooltip"
        data-bs-placement="top"
        title="Except where otherwise noted, the blog posts on this site are licensed under the Creative Commons Attribution 4.0 International (CC BY 4.0) License by the author."
      >Some rights reserved.</span>
    
  </p>

  <p>Using the <a
        data-bs-toggle="tooltip"
        data-bs-placement="top"
        title="v7.0.1"
        href="https://github.com/cotes2020/jekyll-theme-chirpy"
        target="_blank"
        rel="noopener"
      >Chirpy</a> theme for <a href="https://jekyllrb.com" target="_blank" rel="noopener">Jekyll</a>.
  </p>
</footer>

          </div>
        </div>

        <!-- The Search results -->

<div id="search-result-wrapper" class="d-flex justify-content-center d-none">
  <div class="col-11 content">
    <div id="search-hints">
      <!-- The trending tags list -->















  
    
    
    
    
      
        
        

  
    
    
    
    
      
    
  
    
    
    
    
      
        
        

  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
        
        

  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
        
        

  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
        
        

  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
        
        

  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
        
        

  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
        
        

  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
        
        

  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
    
  
    
    
    
    
      
        
        



  <section>
    <h2 class="panel-heading">Trending Tags</h2>
    <div class="d-flex flex-wrap mt-3 mb-1 me-3">
      
        
        <a class="post-tag btn btn-outline-primary" href="/tags/3d-printing/">3d printing</a>
      
        
        <a class="post-tag btn btn-outline-primary" href="/tags/art/">art</a>
      
        
        <a class="post-tag btn btn-outline-primary" href="/tags/blender/">Blender</a>
      
        
        <a class="post-tag btn btn-outline-primary" href="/tags/code/">code</a>
      
        
        <a class="post-tag btn btn-outline-primary" href="/tags/favicon/">favicon</a>
      
        
        <a class="post-tag btn btn-outline-primary" href="/tags/getting-started/">getting started</a>
      
        
        <a class="post-tag btn btn-outline-primary" href="/tags/hermit-the-crab/">Hermit the Crab</a>
      
        
        <a class="post-tag btn btn-outline-primary" href="/tags/logo/">logo</a>
      
        
        <a class="post-tag btn btn-outline-primary" href="/tags/mahjong/">mahjong</a>
      
        
        <a class="post-tag btn btn-outline-primary" href="/tags/thoughts/">thoughts</a>
      
    </div>
  </section>


    </div>
    <div id="search-results" class="d-flex flex-wrap justify-content-center text-muted mt-3"></div>
  </div>
</div>

      </div>

      <aside aria-label="Scroll to Top">
        <button id="back-to-top" type="button" class="btn btn-lg btn-box-shadow">
          <i class="fas fa-angle-up"></i>
        </button>
      </aside>
    </div>

    <div id="mask"></div>

    
      <aside
  id="notification"
  class="toast"
  role="alert"
  aria-live="assertive"
  aria-atomic="true"
  data-bs-animation="true"
  data-bs-autohide="false"
>
  <div class="toast-header">
    <button
      type="button"
      class="btn-close ms-auto"
      data-bs-dismiss="toast"
      aria-label="Close"
    ></button>
  </div>
  <div class="toast-body text-center pt-0">
    <p class="px-2 mb-3">A new version of content is available.</p>
    <button type="button" class="btn btn-primary" aria-label="Update">
      Update
    </button>
  </div>
</aside>

    

    <!-- JavaScripts -->
    <!-- JS selector for site. -->

<!-- commons -->



<!-- layout specified -->




  

  
    <!-- image lazy-loading & popup & clipboard -->
    
  















  
    

    

  

  
    

    

  

  
    

    

  

  
    

    

  

  
    

    

  

  
    

    

  

  
    

    

  

  
    

    

  

  
    

    

  



  <script src="https://cdn.jsdelivr.net/combine/npm/simple-jekyll-search@1.10.0/dest/simple-jekyll-search.min.js,npm/loading-attribute-polyfill@2.1.1/dist/loading-attribute-polyfill.umd.min.js,npm/glightbox@3.3.0/dist/js/glightbox.min.js,npm/clipboard@2.0.11/dist/clipboard.min.js,npm/dayjs@1.11.11/dayjs.min.js,npm/dayjs@1.11.11/locale/en.min.js,npm/dayjs@1.11.11/plugin/relativeTime.min.js,npm/dayjs@1.11.11/plugin/localizedFormat.min.js,npm/tocbot@4.27.20/dist/tocbot.min.js"></script>






<script src="/assets/js/dist/post.min.js"></script>



<!-- Pageviews -->

  

  







    <!--
  Jekyll Simple Search loader
  See: <https://github.com/christian-fei/Simple-Jekyll-Search>
-->





<script>SimpleJekyllSearch({
    searchInput: document.getElementById('search-input'),
    resultsContainer: document.getElementById('search-results'),
    json: '/assets/js/data/search.json',
    searchResultTemplate: '  <article class="px-1 px-sm-2 px-lg-4 px-xl-0">    <header>      <h2><a href="{url}">{title}</a></h2>      <div class="post-meta d-flex flex-column flex-sm-row text-muted mt-1 mb-1">        {categories}        {tags}      </div>    </header>    <p>{snippet}</p>  </article>',
    noResultsText: '<p class="mt-5">Oops! No results found.</p>',
    templateMiddleware: function(prop, value, template) {
      if (prop === 'categories') {
        if (value === '') {
          return `${value}`;
        } else {
          return `<div class="me-sm-4"><i class="far fa-folder fa-fw"></i>${value}</div>`;
        }
      }

      if (prop === 'tags') {
        if (value === '') {
          return `${value}`;
        } else {
          return `<div><i class="fa fa-tag fa-fw"></i>${value}</div>`;
        }
      }
    }
  });
</script>

  </body>
</html>

